Subject: Re: ircs:// integration for rcirc (bug#56514)

From: "J.P." <[email-masked]>
Date: Wed, 09 Nov 2022 05:46:11 -0800

"J.P." <[email-masked]> writes:

> Rather than mess with `func-arity' or the like, I've opted to just
> hijack an existing variable from the url(-vars) library,
> `url-current-object', which seems ready made for this purpose. The
> idea is to simply bind it to the parsed URL object during calls to
> `url-irc-function'.

Please disregard the above (meaning most everything from my previous
email). Turns out I forgot all about Compat (ironically), which should
make this all a nonissue.

> simply arranging to switch to 'tls whenever the port is 6697 should
> have you pretty well covered, I think.

Actually, this bit here still applies if by chance you want rcirc to
handle ircs:// links. (Not saying you should.)

Thanks and apologies for the noise.